aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--community/bluedevil/APKBUILD8
-rw-r--r--community/breeze-grub/APKBUILD8
-rw-r--r--community/breeze-gtk/APKBUILD8
-rw-r--r--community/breeze-plymouth/APKBUILD8
-rw-r--r--community/breeze/APKBUILD8
-rw-r--r--community/discover/APKBUILD8
-rw-r--r--community/drkonqi/APKBUILD8
-rw-r--r--community/kactivitymanagerd/APKBUILD8
-rw-r--r--community/kde-cli-tools/APKBUILD8
-rw-r--r--community/kde-gtk-config/APKBUILD8
-rw-r--r--community/kdecoration/APKBUILD8
-rw-r--r--community/kdeplasma-addons/APKBUILD8
-rw-r--r--community/kgamma5/APKBUILD8
-rw-r--r--community/khotkeys/APKBUILD8
-rw-r--r--community/kinfocenter/APKBUILD10
-rw-r--r--community/kscreen/APKBUILD8
-rw-r--r--community/kscreenlocker/APKBUILD8
-rw-r--r--community/ksshaskpass/APKBUILD8
-rw-r--r--community/ksysguard/APKBUILD8
-rw-r--r--community/kwallet-pam/APKBUILD8
-rw-r--r--community/kwayland-integration/APKBUILD8
-rw-r--r--community/kwin/APKBUILD10
-rw-r--r--community/kwrited/APKBUILD8
-rw-r--r--community/libkscreen/APKBUILD8
-rw-r--r--community/libksysguard/APKBUILD8
-rw-r--r--community/milou/APKBUILD8
-rw-r--r--community/oxygen/APKBUILD8
-rw-r--r--community/plasma-browser-integration/APKBUILD8
-rw-r--r--community/plasma-desktop/APKBUILD8
-rw-r--r--community/plasma-integration/APKBUILD8
-rw-r--r--community/plasma-nano/APKBUILD8
-rw-r--r--community/plasma-nm/APKBUILD8
-rw-r--r--community/plasma-pa/APKBUILD8
-rw-r--r--community/plasma-phone-components/APKBUILD8
-rw-r--r--community/plasma-sdk/APKBUILD8
-rw-r--r--community/plasma-thunderbolt/APKBUILD8
-rw-r--r--community/plasma-vault/APKBUILD8
-rw-r--r--community/plasma-workspace-wallpapers/APKBUILD8
-rw-r--r--community/plasma-workspace/APKBUILD8
-rw-r--r--community/plasma/APKBUILD2
-rw-r--r--community/plymouth-kcm/APKBUILD8
-rw-r--r--community/polkit-kde-agent-1/APKBUILD8
-rw-r--r--community/powerdevil/APKBUILD8
-rw-r--r--community/sddm-kcm/APKBUILD8
-rw-r--r--community/systemsettings/APKBUILD8
-rw-r--r--community/user-manager/APKBUILD8
-rw-r--r--community/xdg-desktop-portal-kde/APKBUILD8
47 files changed, 233 insertions, 141 deletions
diff --git a/community/bluedevil/APKBUILD b/community/bluedevil/APKBUILD
index f836866d4a..8027ca19e1 100644
--- a/community/bluedevil/APKBUILD
+++ b/community/bluedevil/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=bluedevil
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Integrate the Bluetooth technology within KDE workspace and applications"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-only)"
depends="kded bluez"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev kwidgetsaddons-dev kdbusaddons-dev knotifications-dev kwindowsystem-dev kiconthemes-dev plasma-framework-dev ki18n-dev kio-dev bluez-qt-dev kded-dev kded shared-mime-info"
-source="https://download.kde.org/stable/plasma/$pkgver/bluedevil-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/bluedevil-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="d8c6b43eb62ab8e72b97d0288fdab26f159eae770cfdd5e1235fbfd46273b0d83ca886af434c143413527680b1b8cb76960671165354d0540b4b0a4322e90e30 bluedevil-5.18.3.tar.xz"
+sha512sums="dbefd648e525b4dc15dad77748e27726bcdd4790d9a12b57cbcb878c45a8bba25d94e49f68fcf28fb77e41e95a26d0bfb00c1c7faf3983197ff500f462ae2c2d bluedevil-5.18.4.1.tar.xz"
diff --git a/community/breeze-grub/APKBUILD b/community/breeze-grub/APKBUILD
index 80c0ce6a67..e837950531 100644
--- a/community/breeze-grub/APKBUILD
+++ b/community/breeze-grub/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=breeze-grub
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Breeze theme for GRUB"
arch="noarch !s390x !armhf" # armhf blocked by extra-cmake-modules
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-3.0-or-later"
depends="grub"
makedepends="extra-cmake-modules unifont"
-source="$pkgname-$pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/breeze-grub-$pkgver.tar.xz"
+source="$pkgname-$_pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/breeze-grub-$_pkgver.tar.xz"
options="!check" # No test suite available
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
./mkfont.sh
@@ -20,4 +22,4 @@ package() {
install -d "$pkgdir"/usr/share/grub/themes
cp -r breeze "$pkgdir"/usr/share/grub/themes
}
-sha512sums="496a9f44cd26b7932578398339af64be4fb7d69b194de110dd60b65e36335cfa2efdd3975f04d3ddecd01928e1d375bbf78b153710cab3824799d4d937247d28 breeze-grub-5.18.3.tar.xz"
+sha512sums="1b170cc767f6d2178db4713d4ce68d61d9462ae2deda633b1afb3973e37cb16e156a012c94c98853855ef82d1087b4f95c0f0f0480b7b38a876e8bf3eedc762a breeze-grub-5.18.4.1.tar.xz"
diff --git a/community/breeze-gtk/APKBUILD b/community/breeze-gtk/APKBUILD
index 1cc434e5c9..e4bec370b3 100644
--- a/community/breeze-gtk/APKBUILD
+++ b/community/breeze-gtk/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=breeze-gtk
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="A GTK Theme Built to Match KDE's Breeze"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -9,7 +10,8 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-only"
depends="gtk-engines"
makedepends="extra-cmake-modules sassc breeze-dev breeze py3-cairo"
-source="https://download.kde.org/stable/plasma/$pkgver/breeze-gtk-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/breeze-gtk-$_pkgver.tar.xz"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="adabcfba59970b36830fe9a1060517c17fdb233e849fceaecd7b64a98171996c21ff2d3cbea711d2a4377e116a66b2ae9894bade5cade8b3a36f3cb21f3bcabb breeze-gtk-5.18.3.tar.xz"
+sha512sums="c04b7b438dd3f23526627b1c416ff9b29d8cb6d8f27370731ffae9aad53c6554251a36663097d84645597b3cc541fbb80988cad093786a5d497958bd5e9ff57b breeze-gtk-5.18.4.1.tar.xz"
diff --git a/community/breeze-plymouth/APKBUILD b/community/breeze-plymouth/APKBUILD
index 4cc6b31639..3aa50eccba 100644
--- a/community/breeze-plymouth/APKBUILD
+++ b/community/breeze-plymouth/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=breeze-plymouth
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://kde.org/"
@@ -9,8 +10,9 @@ pkgdesc="Breeze theme for Plymouth"
license="GPL-2.0-or-later"
depends="plymouth"
makedepends="extra-cmake-modules plymouth-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/breeze-plymouth-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/breeze-plymouth-$_pkgver.tar.xz"
options="!check" # No tests
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -25,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="94a0c195ad8a619fd8ac38b41ba33dca9c27b99f8dae6e003a00612404fc2dd72519d7ba968a90f9199546c2fb881538ad9b4b070a9d73fdcfdcba51c18ee9e6 breeze-plymouth-5.18.3.tar.xz"
+sha512sums="1ef09a2a41c1025643c344555821bf2538198f42e52fbf8e10d69896f2d6cc13c6c394a5b11ea27bd1a8b2d447d024c1dbf6cd00b48ac57e4df2f3c02d4361f7 breeze-plymouth-5.18.4.1.tar.xz"
diff --git a/community/breeze/APKBUILD b/community/breeze/APKBUILD
index 5c5ff0b59b..9272d8567b 100644
--- a/community/breeze/APKBUILD
+++ b/community/breeze/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=breeze
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Artwork, styles and assets for the Breeze visual style for the Plasma Desktop"
arch="all !armhf" # disable on armhf due to missing qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
depends_dev="kdecoration-dev kpackage-dev ki18n-dev kguiaddons-dev kconfigwidgets-dev kwindowsystem-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="$pkgname-$pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/breeze-$pkgver.tar.xz"
+source="$pkgname-$_pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/breeze-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="c17f570469d92414ce034f245dae022fa0a9c383c9ccf595443a6c51b278b2c97ea0480a00ec873aecd871e65f15d62e9e497774eba2d807823ff85b99798d91 breeze-5.18.3.tar.xz"
+sha512sums="41c540c0136dafb35da6abcf84f6d0d9be905599c1448c1efa8a8c61a77a1b0903a11bfd821e26691deeb8aa7e5268e198c9d1846ab1d4c6590fbecc83d75342 breeze-5.18.4.1.tar.xz"
diff --git a/community/discover/APKBUILD b/community/discover/APKBUILD
index 873713d870..413730ef8d 100644
--- a/community/discover/APKBUILD
+++ b/community/discover/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=discover
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://userbase.kde.org/Discover"
@@ -10,7 +11,7 @@ license="LGPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev kconfig-dev kcrash-dev kdbusaddons-dev ki18n-dev karchive-dev kxmlgui-dev kitemmodels-dev kio-dev kdeclarative-dev attica-dev knewstuff-dev plasma-framework-dev appstream-dev flatpak-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/discover-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/discover-$_pkgver.tar.xz"
subpackages="$pkgname-lang $pkgname-backend-flatpak:backend_flatpak"
case "$CARCH" in
@@ -20,6 +21,7 @@ case "$CARCH" in
;;
*) ;;
esac
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -79,4 +81,4 @@ backend_fwupd() {
"$subpkgdir"/usr/lib/qt5/plugins/discover/
}
-sha512sums="6070465afadf9b249ad632e13f5662b8064355b0fa7cdb39c46cb442e49bbbf953c221c51de70daa0cc4c24eb223a57df88c07a60f2782fc15758dbb5a658ac9 discover-5.18.3.tar.xz"
+sha512sums="bcd3d4e0e8452b9f2bcffa7a2779b7c4721c3e013f451a018d231a463c1d374539fe6b4c95377006adb15c31e562fb67cbb203be1f311bde375b67aa76eb8eb9 discover-5.18.4.1.tar.xz"
diff --git a/community/drkonqi/APKBUILD b/community/drkonqi/APKBUILD
index 3be413b272..c1bc9ab1f5 100644
--- a/community/drkonqi/APKBUILD
+++ b/community/drkonqi/APKBUILD
@@ -1,16 +1,18 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=drkonqi
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Manages the power consumption settings of a Plasma Shell"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev ki18n-dev kcoreaddons-dev kservice-dev kconfigwidgets-dev kjobwidgets-dev kio-dev kcrash-dev kcompletion-dev kxmlrpcclient-dev kwidgetsaddons-dev kwallet-dev knotifications-dev kidletime-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/drkonqi-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/drkonqi-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # Broken
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -30,4 +32,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="56f5cabe28681f218341aa4900f3dfc61d08bdacb5976ef34460b7663535d34a6e9ae05ff238a83337634b577aca36e795ee39d1968dfc39c7aa9a39c02f7cbc drkonqi-5.18.3.tar.xz"
+sha512sums="5d9c7dfbe4687d88ffe43e6676d6dbd04c97816acb4819604ff6ea5a1f9b987834b2831e75281f8fbe6837a42c410a6a595d61e6f2a4b8a9bd6c23b2102ee544 drkonqi-5.18.4.1.tar.xz"
diff --git a/community/kactivitymanagerd/APKBUILD b/community/kactivitymanagerd/APKBUILD
index edc2346923..fd79614d7d 100644
--- a/community/kactivitymanagerd/APKBUILD
+++ b/community/kactivitymanagerd/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kactivitymanagerd
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="System service to manage user's activities and track the usage patterns"
arch="all !armhf" # disable armhf due to missing qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-only OR GPL-3.0-only"
depends="qt5-qtbase-sqlite"
makedepends="extra-cmake-modules boost-dev qt5-qtbase-dev kdbusaddons-dev ki18n-dev kconfig-dev kcoreaddons-dev kwindowsystem-dev kglobalaccel-dev kxmlgui-dev kio-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kactivitymanagerd-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kactivitymanagerd-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="99ff54c95aaa2755bf2597ec98f234ee227182f5296560714b593cee63a4968a40223aee126bbd3d4f15ef7dc4d82dd8372822ded3e23255bcd078f3ecab4585 kactivitymanagerd-5.18.3.tar.xz"
+sha512sums="b3231305643247fa82f267ac942878136f1710faf1fe3b084efad25e8a3fb124ebbab5cf88251dd54d8e8bbbf3ac31088b25bf8047307adef95b5d40c8175ee0 kactivitymanagerd-5.18.4.1.tar.xz"
diff --git a/community/kde-cli-tools/APKBUILD b/community/kde-cli-tools/APKBUILD
index 43a9b5f2b2..ebbea7db53 100644
--- a/community/kde-cli-tools/APKBUILD
+++ b/community/kde-cli-tools/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kde-cli-tools
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Tools based on KDE Frameworks 5 to better interact with the system"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -9,9 +10,10 @@ url="https://cgit.kde.org/kde-cli-tools"
license="(GPL-2.0-only OR GPL-3.0-only) AND GPL-2.0-or-later AND GPL-2.0-only AND LGPL-2.1-only"
makedepends="extra-cmake-modules kdoctools-dev qt5-qtbase-dev qt5-qtsvg-dev qt5-qtx11extras-dev kconfig-dev kiconthemes-dev kinit-dev ki18n-dev kcmutils-dev kio-dev kservice-dev kwindowsystem-dev kactivities-dev kdeclarative-dev kdesu-dev plasma-workspace-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/kde-cli-tools-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kde-cli-tools-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # Broken
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="66128d713a9dfe649d8a7e3f5969e60b2030ec9ce1d07076af537861d848c45eec987b1c64419158785c97f898929e82eb281dcb245b08ee3cbf0f3b02797823 kde-cli-tools-5.18.3.tar.xz"
+sha512sums="9cf32f4b87b1cf45f9e034c9929ed38a39de989c36cc0118d4f544fbb9ceb4b9419d2d518165a1c2d0b0dca4ec20f063f771dad4859bb6df1975afaa6388412e kde-cli-tools-5.18.4.1.tar.xz"
diff --git a/community/kde-gtk-config/APKBUILD b/community/kde-gtk-config/APKBUILD
index 216b8b8cf3..10843f0567 100644
--- a/community/kde-gtk-config/APKBUILD
+++ b/community/kde-gtk-config/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kde-gtk-config
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="GTK2 and GTK3 Configurator for KDE"
arch="all !armhf" # qtdeclarative
@@ -9,7 +10,8 @@ url="https://cgit.kde.org/kde-gtk-config"
license="GPL-2.0 AND LGPL-2.1-only OR LGPL-3.0-only"
depends="gsettings-desktop-schemas"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev ki18n-dev kio-dev kconfigwidgets-dev knewstuff-dev karchive-dev kcmutils-dev kiconthemes-dev gtk+2.0-dev gtk+3.0-dev gsettings-desktop-schemas-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kde-gtk-config-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kde-gtk-config-$_pkgver.tar.xz"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="eb722da6041de041a9c3bfbe69374193d65fc16302bea423ab01eb9b9abbca74a8a04b6a3c181ec8f95783c54d6097886572327bc9458f32d6a53711dbc024c7 kde-gtk-config-5.18.3.tar.xz"
+sha512sums="9a6ba26c4d0b4936fcdc8a32a8d0e48294757a3315de38bba64bbeaed2d23a0ccf117d54208af502f30e5d5878a4a925a84c061adf23741d5f64db539efa2737 kde-gtk-config-5.18.4.1.tar.xz"
diff --git a/community/kdecoration/APKBUILD b/community/kdecoration/APKBUILD
index 781525becf..a72c0b9a8d 100644
--- a/community/kdecoration/APKBUILD
+++ b/community/kdecoration/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdecoration
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plugin based library to create window decorations"
arch="all !armhf"
@@ -10,8 +11,9 @@ license="LGPL-2.1-only OR LGPL-3.0-only"
depends_dev="qt5-qtbase-dev ki18n-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/kdecoration-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kdecoration-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="607abf1a66260f7855545ea75ad6a7fcc402f2b8f3defa63d17c2601953465a60907b40fa6427fc11e8362e7dbfe7c3dbb1d7519489872c75c47e4f8c0b58d47 kdecoration-5.18.3.tar.xz"
+sha512sums="32ba5c14b8b11a9874131405f0cddcec8eec634afd016cb8454a0247ccef55a8411a718e1d3eccc5f23efedafa0a1d32a62e0dc9b20ce9133a09e23f4c6739e1 kdecoration-5.18.4.1.tar.xz"
diff --git a/community/kdeplasma-addons/APKBUILD b/community/kdeplasma-addons/APKBUILD
index 159263e963..0b15b08935 100644
--- a/community/kdeplasma-addons/APKBUILD
+++ b/community/kdeplasma-addons/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdeplasma-addons
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="All kind of addons to improve your Plasma experience"
# ppc64le and s390x blocked by qt5-qtwebengine
@@ -16,8 +17,9 @@ depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtwebengine-dev karchive-d
plasma-framework-dev krunner-dev kservice-dev sonnet-dev kunitconversion-dev
kwindowsystem-dev knewstuff-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/plasma/$pkgver/kdeplasma-addons-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kdeplasma-addons-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -35,4 +37,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="6e2e4ea22099198de39b24292d906f50a54bff43f5c5d2dbda7229ab9ca9186a1d8a5b5fb13b48d2d5d1d2687c69bfc8189f86957c1b61a5fac10e45488f6ddd kdeplasma-addons-5.18.3.tar.xz"
+sha512sums="1ec38e56b132e1d774973d2a8a758bfc88de01c96a11e95507bfebb4c5fcce35c6f9e446fabf5e9754678232d31ee95d8470340f7d5c861960ceca81b20b45ee kdeplasma-addons-5.18.4.1.tar.xz"
diff --git a/community/kgamma5/APKBUILD b/community/kgamma5/APKBUILD
index 04cd489e79..b6c5e5edc2 100644
--- a/community/kgamma5/APKBUILD
+++ b/community/kgamma5/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kgamma5
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Adjust your monitor's gamma settings"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
makedepends="qt5-qtbase-dev kconfig-dev kconfigwidgets-dev kdoctools-dev ki18n-dev extra-cmake-modules"
-source="https://download.kde.org/stable/plasma/$pkgver/kgamma5-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kgamma5-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="ccfff99df665b13b61752378e4fa5d1c3dbdc7cf0f7c24c8556404be6a6ec64583ac1243fce2ac9517143a6d52e203d78151dd96705682e8121cffa2d13951a5 kgamma5-5.18.3.tar.xz"
+sha512sums="5ad1154a84568d0cfa7640f028f9059e5b9f09f1104990ef21d06fb7fdc3d74ba7c6fafcaaff7b4f303682bf521f10db76849b131f9a020a2b8d354b5e1160a5 kgamma5-5.18.4.1.tar.xz"
diff --git a/community/khotkeys/APKBUILD b/community/khotkeys/APKBUILD
index 9806f1087d..53d27d57ef 100644
--- a/community/khotkeys/APKBUILD
+++ b/community/khotkeys/APKBUILD
@@ -1,16 +1,18 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=khotkeys
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
pkgdesc="Key Accelerator Application"
license="GPL-2.0-only AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev kglobalaccel-dev ki18n-dev kio-dev kxmlgui-dev kdelibs4support-dev kdbusaddons-dev kcmutils-dev plasma-framework-dev plasma-workspace-dev kdoctools-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/khotkeys-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/khotkeys-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang $pkgname-dev"
options="!check" # No tests
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="874f21eb10f6297c7defef6e646947afbfa8e07b695e734dffcfb36484ecec757f20e5cb1d7c080834d869c71d10d5ce64c9e05b6d5078ce3ed651a0989a2811 khotkeys-5.18.3.tar.xz"
+sha512sums="9c290c75caf175e66b69f182cb81348d0926b03dd569533dd6da380c299d416fd42f06d6c18fc6791c913e31f955c9adc98c20215442d7d93561b9bdb278e36d khotkeys-5.18.4.1.tar.xz"
diff --git a/community/kinfocenter/APKBUILD b/community/kinfocenter/APKBUILD
index 73ce9919d1..c3a2f8c20d 100644
--- a/community/kinfocenter/APKBUILD
+++ b/community/kinfocenter/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kinfocenter
-pkgver=5.18.3
-pkgrel=1
+pkgver=5.18.4
+_pkgver=5.18.4.1
+pkgrel=0
pkgdesc="A utility that provides information about a computer system"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="(GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only OR LGPL-3.0-only)"
makedepends="extra-cmake-modules qt5-qtbase-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kcmutils-dev kio-dev kservice-dev solid-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kdeclarative-dev kpackage-dev solid-dev kwayland-dev glu-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kinfocenter-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kinfocenter-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="e91dc288079dad21191591f14295c8f16c625fa34461690562d8354e82c98824d8d3dbc4c0665a861d9133dc5aa76391cba148dcde4780ead90f02f01f39bace kinfocenter-5.18.3.tar.xz"
+sha512sums="6b7c5c4c755afdc3c04ca15f6a958cf541d33b03c731fa77a5cf99fa015d0e35a00016ab7f21b6b1f30afd7c423dc4fdde03557645b040d325509a6ae8c44dcb kinfocenter-5.18.4.1.tar.xz"
diff --git a/community/kscreen/APKBUILD b/community/kscreen/APKBUILD
index bd940a5fa1..e8cc81443f 100644
--- a/community/kscreen/APKBUILD
+++ b/community/kscreen/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kscreen
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE's screen management software"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -10,8 +11,9 @@ license="GPL-2.0-or-later AND LGPL-2.1-or-later"
depends="hicolor-icon-theme"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsensors-dev kdbusaddons-dev kconfig-dev kconfigwidgets-dev ki18n-dev kxmlgui-dev kglobalaccel-dev kwidgetsaddons-dev kdeclarative-dev kiconthemes-dev plasma-framework-dev libkscreen-dev kcmutils-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/kscreen-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kscreen-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -31,4 +33,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="61506208ba49e517aedea8b1ead27599c906f56d86f72cde1df24772dd8ebab0c683ab844d4700ce8eee9ced6a139d067e6ceb3d0d442c6f4b321252efebd294 kscreen-5.18.3.tar.xz"
+sha512sums="8c0b7f493dd73d2d79955b3836db2cbcf46bb9f73284ce362e5062ae7c54f2e1a7f01bd91c6bb846ac3bbe3bef5a2e92df52f29e84e7dc5bad438a6a9ae94798 kscreen-5.18.4.1.tar.xz"
diff --git a/community/kscreenlocker/APKBUILD b/community/kscreenlocker/APKBUILD
index ed576839ee..db29283fcc 100644
--- a/community/kscreenlocker/APKBUILD
+++ b/community/kscreenlocker/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kscreenlocker
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Library and components for secure lock screen architecture"
arch="all !armhf"
@@ -11,11 +12,12 @@ depends="linux-pam elogind"
depends_dev="qt5-qtbase-dev qt5-qtx11extras-dev kcrash-dev kdeclarative-dev kglobalaccel-dev ki18n-dev kidletime-dev kcmutils-dev knotifications-dev solid-dev ktextwidgets-dev kwindowsystem-dev kxmlgui-dev xcb-util-keysyms-dev kwayland-dev linux-pam-dev libseccomp-dev elogind-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/kscreenlocker-$pkgver.tar.xz
+source="https://download.kde.org/stable/plasma/$pkgver/kscreenlocker-$_pkgver.tar.xz
kde.pam
kde-np.pam"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Requires running loginctl
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -37,6 +39,6 @@ package() {
install -m644 "$srcdir"/kde-np.pam "$pkgdir"/etc/pam.d/kde-np
}
-sha512sums="bb7fbf9c42a4fbe970c4953b0a64d95d45c5c1519db21e80907a95d2415b68b8c135f1f0368b9663bd4162cbbe507688f72293f4c7f0c9ed60cc7c222c31b098 kscreenlocker-5.18.3.tar.xz
+sha512sums="f58e46b6b86ab49f458ca00604655369755d51b54e7f97ad1f640d4fa51bab5d904ee26c0981a2252ee4edff3063a40f5792b860cd39d19f3db8ba93ec9aed5b kscreenlocker-5.18.4.1.tar.xz
56e87d02d75c4a8cc4ed183faed416fb4972e7f223b8759959c0f5da32e11e657907a1df279d62a44a6a174f5aca8b2ac66a5f3325c5deb92011bcf71eed74c3 kde.pam
565265485dd7466b77966d75a56766216b8bcc187c95a997e531e9481cf50ddbe576071eb0e334421202bcab19aa6de6b93e042447ca4797a24bf97e1d053ffd kde-np.pam"
diff --git a/community/ksshaskpass/APKBUILD b/community/ksshaskpass/APKBUILD
index 506f60b18f..0ca684c756 100644
--- a/community/ksshaskpass/APKBUILD
+++ b/community/ksshaskpass/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ksshaskpass
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="ssh-add helper that uses kwallet and kpassworddialog"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev ki18n-dev kwallet-dev kwidgetsaddons-dev kdoctools-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/ksshaskpass-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/ksshaskpass-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="af17ddb2950b0278c3fc6504ac4c40a20952d7748232545fadacb5ca6729b4f8c5e2b69592e1e28e5c57bd00cd6fab31c655cc2d35f8cd143965a836b2100d8a ksshaskpass-5.18.3.tar.xz"
+sha512sums="42d3615b631b225a455c939a72a0a1cd1766c7baa7bf9396b4509c880f37784beddaf2596d124362d9720901bad776aaf6b248ccf8b53e0691d74c948272c952 ksshaskpass-5.18.4.1.tar.xz"
diff --git a/community/ksysguard/APKBUILD b/community/ksysguard/APKBUILD
index 45de977d1b..28da1d656b 100644
--- a/community/ksysguard/APKBUILD
+++ b/community/ksysguard/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ksysguard
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Track and control the processes running in your system"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://userbase.kde.org/KSysGuard"
license="GPL-2.0-only"
makedepends="extra-cmake-modules kconfig-dev kcoreaddons-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kinit-dev kitemviews-dev kio-dev knewstuff-dev knotifications-dev kwindowsystem-dev libksysguard-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/ksysguard-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/ksysguard-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="db4c9f9ebe17621fad0326504bab88928d417f58bdf6fff2644eb1c446be1c2d2386a4668029905e79021d3c2bb2ba450e686356094ab9af024d892584498993 ksysguard-5.18.3.tar.xz"
+sha512sums="2c2bb6596987effe558eeafe855a4914186da815a7688b68c75bf44daa29e5153b0cae4b2692f780fe2001042dbb12568e3c708b711c179f93fb7110f50dc696 ksysguard-5.18.4.1.tar.xz"
diff --git a/community/kwallet-pam/APKBUILD b/community/kwallet-pam/APKBUILD
index 9cb578e323..1b34cb6871 100644
--- a/community/kwallet-pam/APKBUILD
+++ b/community/kwallet-pam/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwallet-pam
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KWallet PAM integration"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-or-later"
makedepends="extra-cmake-modules linux-pam-dev libgcrypt-dev socat kwallet-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kwallet-pam-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kwallet-pam-$_pkgver.tar.xz"
options="!check" # No tests available
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -23,4 +25,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="dde5a6570f1d0e72cea6ce63491ddacd0b639cbcbb3fe90c4d3d26f8119a3597ae3fca889e179177bedd9cf4370190a8853bfcb5697430e417863570e92274e1 kwallet-pam-5.18.3.tar.xz"
+sha512sums="7be9fe57d29e3f03344cd477902c3d5ce9c19223645d1536502dbe2d6f74c0aede4435c997e6f9880bd3b44b865ee95579e64f73485dc6b6305143da44877b67 kwallet-pam-5.18.4.1.tar.xz"
diff --git a/community/kwayland-integration/APKBUILD b/community/kwayland-integration/APKBUILD
index e6f2bc8027..386c22dad3 100644
--- a/community/kwayland-integration/APKBUILD
+++ b/community/kwayland-integration/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bhushan Shah <bshah@kde.org>
# Maintainer: Bhushan Shah <bshah@kde.org>
pkgname=kwayland-integration
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KWayland integration"
url="https://www.kde.org/workspaces/plasmadesktop/"
@@ -9,8 +10,9 @@ arch="all !armhf" # armhf blocked by extra-cmake-modules
license="LGPL-2.1-only OR LGPL-3.0-only"
depends="kwayland kglobalaccel kidletime"
makedepends="cmake extra-cmake-modules qt5-qtbase-dev kwayland-dev kwindowsystem-dev kidletime-dev kguiaddons-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kwayland-integration-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kwayland-integration-$_pkgver.tar.xz"
options="!check" # Broken
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -24,4 +26,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="baac7935a55d93a114aa0edc8e0b203d99206f00718aac41be218c11b8291ee441f400bb04fd3dd3dcbb938a7f1aaa61d3ea5ddd306b478f7d78f6575557866c kwayland-integration-5.18.3.tar.xz"
+sha512sums="0ed673ad47091d946aca199d7e28db4ccac0b7274b2e5c774765cc8d6f9e91dc531bbffc50c448947cd144ad8c0766d7efc4b31826b7bf250bcbe9c9844a22fd kwayland-integration-5.18.4.1.tar.xz"
diff --git a/community/kwin/APKBUILD b/community/kwin/APKBUILD
index 7c9f98a8ba..306192e73d 100644
--- a/community/kwin/APKBUILD
+++ b/community/kwin/APKBUILD
@@ -1,8 +1,9 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwin
-pkgver=5.18.3
-pkgrel=1
+pkgver=5.18.4
+_pkgver=5.18.4.1
+pkgrel=0
pkgdesc="An easy to use, but flexible, composited Window Manager"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
@@ -11,9 +12,10 @@ depends="qt5-qtwayland qt5-qtmultimedia kirigami2 xorg-server-xwayland"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtscript-dev qt5-qtsensors-dev qt5-qtx11extras-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kglobalaccel-dev ki18n-dev kinit-dev knotifications-dev kpackage-dev plasma-framework-dev kwidgetsaddons-dev kwindowsystem-dev kiconthemes-dev kidletime-dev kwayland-dev kcompletion-dev kdeclarative-dev kcmutils-dev kio-dev ktextwidgets-dev knewstuff-dev kservice-dev kxmlgui-dev kactivities-dev kdecoration-dev kscreenlocker-dev breeze-dev libepoxy-dev mesa-dev wayland-dev xcb-util-cursor-dev xcb-util-image-dev xcb-util-wm-dev libinput-dev eudev-dev libdrm-dev mesa-gbm fontconfig-dev libxkbcommon-dev libxi-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev qt5-qttools-static kdoctools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/kwin-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kwin-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
options="!check" # Broken
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -31,4 +33,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="2eda8f94e095b9941e528e05c9c5720d213eae97c46ff5caff673a94ba4e20826f97a32d53704b422875d26be8eb38101a17ae99b726067dd89c7c62fbaf0bff kwin-5.18.3.tar.xz"
+sha512sums="5e2ef7a8bd2969121d560e6558791298d8506d1af4c67aca8e6d2377af76e10b8e6ee32f116911a85352a74195a1cbd6dd4d40054f1796ff4b54b1e5418a5772 kwin-5.18.4.1.tar.xz"
diff --git a/community/kwrited/APKBUILD b/community/kwrited/APKBUILD
index e0ea487608..63ecd96c24 100644
--- a/community/kwrited/APKBUILD
+++ b/community/kwrited/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwrited
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE daemon listening for wall and write messages"
arch="all !armhf" # qt5-qtdeclarative-dev unavilable on armhf
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev ki18n-dev kpty-dev knotifications-dev kdbusaddons-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/kwrited-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/kwrited-$_pkgver.tar.xz"
options="!check" # No tests available
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -23,4 +25,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="4029182606e8e2eea71fc70f912d6043f39654762c6bf7676d6f5b3e9c3633ae885f1de8d31e124e882d96e0bb824d00d94523982f238377eb7db293c41bdc36 kwrited-5.18.3.tar.xz"
+sha512sums="5a9e793821d7f1178aca890429ad581717ae7c5503c3464d42c611e02f20a0df61a4f97bd944d1774b779910f0678fac4b010968fc20e050786dab5584597ed8 kwrited-5.18.4.1.tar.xz"
diff --git a/community/libkscreen/APKBUILD b/community/libkscreen/APKBUILD
index 64d69d1bfa..020c215510 100644
--- a/community/libkscreen/APKBUILD
+++ b/community/libkscreen/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkscreen
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE screen management software"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -9,9 +10,10 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-or-later AND GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only)"
depends_dev="qt5-qtbase-dev qt5-qtx11extras-dev kwayland-dev"
makedepends="$depends_dev extra-cmake-modules doxygen graphviz qt5-qttools-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/libkscreen-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/libkscreen-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc"
options="!check" # Fails due to requiring dbus-x11 and it running
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -30,4 +32,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="d1e034067c95da830f056186f275c3daf74a9bac9e4903d3837f03c5d98f79e0cdf888d937efa0d700a2e316c49f1cfc9bdeacc8ca1b06eba2f52ff09784601f libkscreen-5.18.3.tar.xz"
+sha512sums="73e5d105701d11f1bbe403034614d89a6aab3e4f47d949633e2104c590c62a4e89e7643558056d45d16e43d326c52a950024b84f184dd86fff9cfd57f37efa43 libkscreen-5.18.4.1.tar.xz"
diff --git a/community/libksysguard/APKBUILD b/community/libksysguard/APKBUILD
index 93c2fe9096..6d0011ee54 100644
--- a/community/libksysguard/APKBUILD
+++ b/community/libksysguard/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libksysguard
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE system monitor library"
arch="all !armhf"
@@ -10,8 +11,9 @@ license="LGPL-2.1-or-later AND (GPL-2.0-only OR GPL-3.0-only)"
depends_dev="qt5-qtwebchannel-dev kcoreaddons-dev kconfig-dev ki18n-dev kwindowsystem-dev kcompletion-dev kauth-dev kwidgetsaddons-dev kiconthemes-dev kconfigwidgets-dev kservice-dev kglobalaccel-dev kio-dev plasma-framework-dev zlib-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/libksysguard-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/libksysguard-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -30,4 +32,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="7e7e4971008407d763f58260fb06d91eff58aad4380358bda61572b5d8e55bbddcff5155bd1f40f7f8463874013957f7aa7f3a17dcfe2b47f911302218226cd5 libksysguard-5.18.3.tar.xz"
+sha512sums="4407bb15ca4e1e70f8c082ba11c25b4855330ca54fea15c900610245e2966bf2eeebbb6d5ea94bc0627df869363837660bfcca0a88fbfec9cc2ca43e0b635cd8 libksysguard-5.18.4.1.tar.xz"
diff --git a/community/milou/APKBUILD b/community/milou/APKBUILD
index 51e0f8c28f..b16c22b518 100644
--- a/community/milou/APKBUILD
+++ b/community/milou/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=milou
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="A dedicated search application built on top of Baloo"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only OR LGPL-3.0-only)"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev ki18n-dev kdeclarative-dev kservice-dev plasma-framework-dev krunner-dev kitemmodels-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/milou-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/milou-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="db82ef379714d7e678dea901a77dcfba986d2b27e0168ecdc44875c612eff6cebd63521916a0a4c23daf855c5bee5c75e96a8700d28b7ae87940aacc28f2d913 milou-5.18.3.tar.xz"
+sha512sums="812b1ac049c7af9cf625e1203cbb9ae0e36a99ac3b89781f4e007974dca460cbf9e866b3773a2117261bd845d4a7c65f70860b45e54b6b87124695c011a3e51e milou-5.18.4.1.tar.xz"
diff --git a/community/oxygen/APKBUILD b/community/oxygen/APKBUILD
index cb7c5951b1..93a86c22c7 100644
--- a/community/oxygen/APKBUILD
+++ b/community/oxygen/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=oxygen
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Artwork, styles and assets for the Oxygen visual style for the Plasma Desktop"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kconfig-dev kguiaddons-dev kwidgetsaddons-dev kservice-dev kcompletion-dev frameworkintegration-dev kwindowsystem-dev xcb-util-dev kwayland-dev kcmutils-dev kdecoration-dev"
-source="$pkgname-$pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/oxygen-$pkgver.tar.xz"
+source="$pkgname-$_pkgver.tar.xz::https://download.kde.org/stable/plasma/$pkgver/oxygen-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="25cbace24d143cbbf9608722db2cfe68453be69fd14e2bbb218461ace435d6d0a186fd5cf896b4095c1a756e2e1d5086b5b2f48c27fc9f88954414124deda52f oxygen-5.18.3.tar.xz"
+sha512sums="b6804c0ff7b2234603c6e9d0e9957b8eb5b44b663aa427571a841b7ee421c7e95da2213afb4d956390c5a87828a530a13aecf7f86be63c0f56410259771c516d oxygen-5.18.4.1.tar.xz"
diff --git a/community/plasma-browser-integration/APKBUILD b/community/plasma-browser-integration/APKBUILD
index d2896a2f30..25c9ef63bf 100644
--- a/community/plasma-browser-integration/APKBUILD
+++ b/community/plasma-browser-integration/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-browser-integration
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Components necessary to integrate browsers into the Plasma Desktop"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://community.kde.org/Plasma/Browser_Integration"
license="GPL-3.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kio-dev ki18n-dev kconfig-dev kdbusaddons-dev knotifications-dev krunner-dev kactivities-dev purpose-dev kfilemetadata-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-browser-integration-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-browser-integration-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="25f63cd8b5131704d869df67e674cc77dfe7a35a41599e84204fb2dc8617f0d48fe1206d400117eea32bc05d468baa353b927f7713333431071ba145d66dd84d plasma-browser-integration-5.18.3.tar.xz"
+sha512sums="05fcc78f68a029862daaae816d2c95a14b7b3133c9ea00cfad7cac32337a6b1642b15f23313dec665686c928f0405d18cafa20b06d16afa1ae8ce752d74e9066 plasma-browser-integration-5.18.4.1.tar.xz"
diff --git a/community/plasma-desktop/APKBUILD b/community/plasma-desktop/APKBUILD
index b9bc821af8..738a4b8f47 100644
--- a/community/plasma-desktop/APKBUILD
+++ b/community/plasma-desktop/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-desktop
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE Plasma Desktop"
# s390x blocked by ibus
@@ -50,9 +51,10 @@ depends_dev="
"
makedepends="$depends_dev extra-cmake-modules kdoctools-dev"
checkdepends="xvfb-run iso-codes"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-desktop-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-desktop-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang knetattach"
options="!check" # Requires running dbus
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -81,4 +83,4 @@ knetattach() {
cd "$builddir"/build/knetattach
DESTDIR="$subpkgdir" make install
}
-sha512sums="50a856af3763cf84977d1b59fe2d42b89d56b07d06ece54fe63b8d971e7731b2cfbbdb13bb3e5e1ca09143d9f0d97ba66f483cab4962088302398bb46880288a plasma-desktop-5.18.3.tar.xz"
+sha512sums="4cac140ddca8ce57a6e27cfac2946824db40a0adf9f0a9b6fe6079f9b899f4b145941803d4a0f1c575a27a8c76d6a7e889c3218287a126efedd9e722fa9d7089 plasma-desktop-5.18.4.1.tar.xz"
diff --git a/community/plasma-integration/APKBUILD b/community/plasma-integration/APKBUILD
index 82759dbb8a..dc21618036 100644
--- a/community/plasma-integration/APKBUILD
+++ b/community/plasma-integration/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-integration
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Qt Platform Theme integration plugins for the Plasma workspaces"
arch="all !armhf" # Blocked by qt5-qtdeclarative
@@ -10,9 +11,10 @@ license="(LGPL-2.1-only OR LGPL-3.0-only) AND LGPL-2.1-only AND ((LGPL-2.1-only
depends="font-noto ttf-hack qqc2-desktop-style"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev qt5-qtquickcontrols2-dev kconfig-dev kconfigwidgets-dev ki18n-dev kiconthemes-dev kio-dev knotifications-dev kwayland-dev kwidgetsaddons-dev kwindowsystem-dev breeze-dev libxcursor-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-integration-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-integration-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # Broken
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -32,4 +34,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="1df2bc77ade1ff4f3b858f00dd66c4324bc1b9f1f0a10d1b5481f6432666989a7d57f1407528e1cf8e9cb91519393e6c4d320541c4f970958dce77ffc065c976 plasma-integration-5.18.3.tar.xz"
+sha512sums="ebc6080457d1958e2cccc7db25b30443e21759c95c29dc8f72538ec2945f99019ad0598369253ec552c4a77dc49979ef3e1a46da93362a34793c0af6209c5e3d plasma-integration-5.18.4.1.tar.xz"
diff --git a/community/plasma-nano/APKBUILD b/community/plasma-nano/APKBUILD
index c31df6bb47..7a21f4ecfe 100644
--- a/community/plasma-nano/APKBUILD
+++ b/community/plasma-nano/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-nano
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="A minimal Plasma shell package intended for embedded devices"
arch="all !armhf"
url="https://invent.kde.org/kde/plasma-nano"
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev plasma-framework-dev kwindowsystem-dev kwayland-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-nano-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-nano-$_pkgver.tar.xz"
options="!check" # No tests
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="2327ff1599ada1773b392f151ed5e5eb4232672f23a7e69ff86b160c6fe348b02fdcb7fbeaa3711ce891727931b1964b0116c1aa01176970fe28f02cfe1e7040 plasma-nano-5.18.3.tar.xz"
+sha512sums="5c7165b735352135ea5578fcf608ae19252dc83da7b2e90e5bf86430bf20079de541698b7d10e1d9b627851065cc93fac83bdded3c4f41da1390c11f9e05d2de plasma-nano-5.18.4.1.tar.xz"
diff --git a/community/plasma-nm/APKBUILD b/community/plasma-nm/APKBUILD
index fe443ce0ed..ff72e7cb96 100644
--- a/community/plasma-nm/APKBUILD
+++ b/community/plasma-nm/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-nm
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plasma applet written in QML for managing network connections"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="(LGPL-2.1-only OR LGPL-3.0-only) AND LGPL-2.0-or-later"
depends="kirigami2 networkmanager"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev ki18n-dev kwindowsystem-dev kservice-dev kcompletion-dev kwidgetsaddons-dev kio-dev kcoreaddons-dev kwallet-dev kconfigwidgets-dev kiconthemes-dev solid-dev kdbusaddons-dev knotifications-dev plasma-framework-dev kdeclarative-dev qca-dev networkmanager-qt-dev modemmanager-qt-dev mobile-broadband-provider-info"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-nm-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-nm-$_pkgver.tar.xz"
subpackages="$pkgname-lang $pkgname-mobile"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -44,4 +46,4 @@ mobile() {
"$pkgdir"/usr/share/kservices5/wifisettings.desktop \
"$subpkgdir"/usr/share/kservices5/
}
-sha512sums="d95a908adf92c21b3eea1561cbebbf241540684afdf3e54c74a7fc6a5198f2c6a3c944f394fd634503b3b51175c65a93a012a9da72712dbe08964ab128a92eca plasma-nm-5.18.3.tar.xz"
+sha512sums="7534267b7e9507b5963c5226eb375bfff426291761db4bfaa8a9c60e491d296d5aebb6cb2373e75dd10b321e706ccdcdce036f174cfb6c5fb12df218f112228b plasma-nm-5.18.4.1.tar.xz"
diff --git a/community/plasma-pa/APKBUILD b/community/plasma-pa/APKBUILD
index 54f5eda58b..c6427c5556 100644
--- a/community/plasma-pa/APKBUILD
+++ b/community/plasma-pa/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-pa
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plasma applet for audio volume management using PulseAudio"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="LGPL-2.1-only OR LGPL-3.0-only AND GPL-2.0-only"
depends="pulseaudio kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev kdeclarative-dev kdoctools-dev kglobalaccel-dev knotifications-dev ki18n-dev plasma-workspace-dev pulseaudio-dev libcanberra-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-pa-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-pa-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="d47a58106a9f6c8dded6478bccfbe1561be2f5239fcbb8d4cb3221a5c5afb4e6c39ed724250e67786a64d01256c6bf276d5b4eb3e1eaec9fc34c0876cda9610f plasma-pa-5.18.3.tar.xz"
+sha512sums="877a861b7f3811958f911a082f037916697f148969229ed6d96c2ef7238533726157637548798ca318b5b1ee89cd5ed8f9a66fad2e8cb3e9035a5ee311cae7e3 plasma-pa-5.18.4.1.tar.xz"
diff --git a/community/plasma-phone-components/APKBUILD b/community/plasma-phone-components/APKBUILD
index c34524d516..3f85eaff63 100644
--- a/community/plasma-phone-components/APKBUILD
+++ b/community/plasma-phone-components/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-phone-components
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Modules providing phone functionality for Plasma"
arch="all !armhf"
@@ -9,8 +10,9 @@ url="https://www.plasma-mobile.org/"
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
depends="plasma-nano qt5-qtquickcontrols2 plasma-workspace dbus-x11 kactivities plasma-pa plasma-nm libqofono breeze-icons"
makedepends="extra-cmake-modules kpeople-dev qt5-qtdeclarative-dev kactivities-dev plasma-framework-dev kservice-dev kdeclarative-dev ki18n-dev kio-dev kcoreaddons-dev kconfig-dev kbookmarks-dev kwidgetsaddons-dev kcompletion-dev kitemviews-dev kjobwidgets-dev solid-dev kxmlgui-dev kconfigwidgets-dev kauth-dev kcodecs-dev kpackage-dev kwindowsystem-dev kdbusaddons-dev knotifications-dev kwayland-dev telepathy-qt-dev libphonenumber-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-phone-components-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-phone-components-$_pkgver.tar.xz"
options="!check" # No tests
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="cb76882a20951b6e3f1d946865df5767b0041da06d2c9a5b6dbf3e8df8cfbc2d8dc7f1dec0f1488371615435c87e3472b00584df2e926536642dc5a4f1df494f plasma-phone-components-5.18.3.tar.xz"
+sha512sums="59299e0abdd1731f1c2ad52414233f7eacdf3bb9dbdcc49821a66dc6dd39ad9d105400d634cfd114be0aadb44531bec099dc910b7dc46cc42b958a0b79d31ae5 plasma-phone-components-5.18.4.1.tar.xz"
diff --git a/community/plasma-sdk/APKBUILD b/community/plasma-sdk/APKBUILD
index 8f81483ba5..3773e064e3 100644
--- a/community/plasma-sdk/APKBUILD
+++ b/community/plasma-sdk/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-sdk
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Applications useful for Plasma Development"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -10,8 +11,9 @@ license="GPL-2.0-or-later"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev karchive-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev kdeclarative-dev ki18n-dev kiconthemes-dev kio-dev plasma-framework-dev kservice-dev ktexteditor-dev kwidgetsaddons-dev kdoctools-dev kparts-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-sdk-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-sdk-$_pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -31,4 +33,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="ba64d9450f6a26ff7ebafb1d66fd0fe4612be728482bbc178f46ad845988aa53889fd689329e8532e549eb3f412f5347433359fb13386c1dabb6b07d07a7eb3b plasma-sdk-5.18.3.tar.xz"
+sha512sums="b16c40a1dc22fab179a7f4edc2e9693177c145a65a521da691847da6228c5c5654621171d19f74a6c9aa3d61d76bca9ef9e71b364c32cdd7b2bd47df6f7ee1e4 plasma-sdk-5.18.4.1.tar.xz"
diff --git a/community/plasma-thunderbolt/APKBUILD b/community/plasma-thunderbolt/APKBUILD
index 65df038df8..127b90ad1d 100644
--- a/community/plasma-thunderbolt/APKBUILD
+++ b/community/plasma-thunderbolt/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-thunderbolt
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
arch="all !armhf !armv7" # Limited by bolt -> polkit, armhf also limited by qt5-qtdeclarative
url="https://www.kde.org/workspaces/plasmadesktop/"
@@ -10,9 +11,10 @@ license="GPL-2.0-only OR GPL-3.0-only"
depends="bolt"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev kcoreaddons-dev kcmutils-dev kdeclarative-dev ki18n-dev kdbusaddons-dev knotifications-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-thunderbolt-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-thunderbolt-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # Requires running dbus server
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -31,4 +33,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="0fc0abf69efba6fcae6bb54eab5c4a40517fd3b48ae00a9e53477e6ce2d1ae12eeccfd05f55bb316be27c054a64c24ae01b9d3d543bcc86b753768ba8d0f65d9 plasma-thunderbolt-5.18.3.tar.xz"
+sha512sums="2ae5e65741717f38f343adf3e52de67db29d069b93147236cec6172f03ffcfb64bbbaaed5056987a747feb0c27ec01aaefa954274092f34f709c955f8099b35a plasma-thunderbolt-5.18.4.1.tar.xz"
diff --git a/community/plasma-vault/APKBUILD b/community/plasma-vault/APKBUILD
index 94a4de33ed..d97ddf62ea 100644
--- a/community/plasma-vault/APKBUILD
+++ b/community/plasma-vault/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-vault
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plasma applet and services for creating encrypted vaults"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="(GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only AND LGPL-3.0-only)"
makedepends="extra-cmake-modules qt5-qtbase-dev kactivities-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev ki18n-dev kio-dev plasma-framework-dev kwidgetsaddons-dev networkmanager-qt-dev libksysguard-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-vault-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-vault-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="aac8ec0bb8e7625d14ca9f359eab1db91417c6d9745067a936bb9e6153d7cfa786a5b15f5e952009faa95155f43810dd85cce0015f41df5b8a11ca401c4be693 plasma-vault-5.18.3.tar.xz"
+sha512sums="c06bb9129e25396c44a9a7155253ebb18eeefe7d44d3f288b79f3308964ae4dbca9375820c1a5c2f389b46e17f2f3a2cee35e73b5d4a0c23051dcad8dfcff6f0 plasma-vault-5.18.4.1.tar.xz"
diff --git a/community/plasma-workspace-wallpapers/APKBUILD b/community/plasma-workspace-wallpapers/APKBUILD
index 1410503e2a..2e17b07f13 100644
--- a/community/plasma-workspace-wallpapers/APKBUILD
+++ b/community/plasma-workspace-wallpapers/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-workspace-wallpapers
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Wallpapers for the Plasma Workspace"
arch="noarch !armhf" # armhf blocked by extra-cmake-modules
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-workspace-wallpapers-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-workspace-wallpapers-$_pkgver.tar.xz"
options="!check" # No tests available
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -23,4 +25,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="a491dce77a9ae207b0c38f2f1b66f57afc9569ed42ef61f0c36c242d9918dfd657ef06214957cc8eefcd2d3b6fd49620850d1dd494616b97e7fd5ed583590382 plasma-workspace-wallpapers-5.18.3.tar.xz"
+sha512sums="e3fe98fd4e3265281bda7c223cb086fdc96031421d735df05fb52acca778dba0fa78110810b1c482706cb6e937bc40160130a525ab104b44ed801042ba6d71ca plasma-workspace-wallpapers-5.18.4.1.tar.xz"
diff --git a/community/plasma-workspace/APKBUILD b/community/plasma-workspace/APKBUILD
index 391766c157..dd52038c63 100644
--- a/community/plasma-workspace/APKBUILD
+++ b/community/plasma-workspace/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-workspace
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="KDE Plasma Workspace"
arch="all !armhf" # armhf blocked by kirigami2 -> qt5-qtdeclarative
@@ -11,8 +12,9 @@ depends="tzdata qt5-qtquickcontrols kirigami2 kinit qt5-qttools kwin kactivityma
depends_dev="plasma-framework-dev krunner-dev kjsembed-dev knotifyconfig-dev kdesu-dev knewstuff-dev kwallet-dev kidletime-dev kdeclarative-dev ki18n-dev kcmutils-dev ktextwidgets-dev kdelibs4support-dev kcrash-dev kglobalaccel-dev kdbusaddons-dev kwayland-dev kcoreaddons-dev kded-dev libksysguard-dev kpackage-dev kscreenlocker-dev phonon-dev zlib-dev kitemmodels-dev networkmanager-qt-dev baloo-dev ktexteditor-dev kwin-dev kholidays-dev prison-dev kpeople-dev kactivities-stats-dev libkscreen-dev gpsd-dev iso-codes-dev"
makedepends="$depends_dev extra-cmake-modules kdoctools-dev libxtst-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/plasma/$pkgver/plasma-workspace-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plasma-workspace-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-libs $pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -32,4 +34,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="a0acc751e47f6b10753a41009e2b8d99bd901cbf667ce61fec04175c12d877f8dd3fe4a7f3d8f3ca18e126b72a00a59aed1edc33bc542e6e69fdf97af44eae1e plasma-workspace-5.18.3.tar.xz"
+sha512sums="683a97a83361149560d866f3d064448a43783c6ea715e9a5e0764ef9ec6dc8bd26e4c7a49023f913b8a649abef39614e5bd3b9e000477949584921c3f1754ab7 plasma-workspace-5.18.4.1.tar.xz"
diff --git a/community/plasma/APKBUILD b/community/plasma/APKBUILD
index 584b4ca859..74387cf6eb 100644
--- a/community/plasma/APKBUILD
+++ b/community/plasma/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma
-pkgver=5.18.3
+pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plasma (Base) meta package"
url="https://kde.org/plasma-desktop"
diff --git a/community/plymouth-kcm/APKBUILD b/community/plymouth-kcm/APKBUILD
index 631d20912b..b8d63998f7 100644
--- a/community/plymouth-kcm/APKBUILD
+++ b/community/plymouth-kcm/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plymouth-kcm
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
arch="all !armhf" # armhf blocked by extra-cmake-modules
url="https://cgit.kde.org/plymouth-kcm.git"
@@ -9,9 +10,10 @@ pkgdesc="KCM to manage the Plymouth (Boot) theme"
license="GPL-2.0-or-later"
depends="plymouth"
makedepends="extra-cmake-modules qt5-qtbase-dev karchive-dev knewstuff-dev kio-dev kdeclarative-dev ki18n-dev kconfig-dev kconfigwidgets-dev plymouth-dev kcmutils"
-source="https://download.kde.org/stable/plasma/$pkgver/plymouth-kcm-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/plymouth-kcm-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -30,4 +32,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="9b139d0ff4792852dfb3723f29762a22ba9f778a14a7b5ea882784821e733a768f66726987ac045eb4855bc4b6a4aed8fe3360a1fe856e703caf2e58a2c3de6d plymouth-kcm-5.18.3.tar.xz"
+sha512sums="436e9764f8891aa3040d9f80f57ca3f56633508f0bc82b3a995ecfca0e6f27a619daf893f31b64b7bda1ad4e57f9ec3044ec32913283fe2d4218fd62d247bf26 plymouth-kcm-5.18.4.1.tar.xz"
diff --git a/community/polkit-kde-agent-1/APKBUILD b/community/polkit-kde-agent-1/APKBUILD
index b3af116a7a..63abee2447 100644
--- a/community/polkit-kde-agent-1/APKBUILD
+++ b/community/polkit-kde-agent-1/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=polkit-kde-agent-1
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Daemon providing a polkit authentication UI for KDE"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -9,8 +10,9 @@ url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0-or-later"
depends="polkit-elogind"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kwindowsystem-dev kdbusaddons-dev kwidgetsaddons-dev kcoreaddons-dev kcrash-dev kiconthemes-dev polkit-qt-1-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/polkit-kde-agent-1-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/polkit-kde-agent-1-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="d9de6d5966053aa27292cfb610ea188a932bbbdaad83a5c2bc27d254368b64d73031304969a722d17858f9549eefc38869aa232b4722b0df427f1c99a12f46c4 polkit-kde-agent-1-5.18.3.tar.xz"
+sha512sums="e83c762fce852fb3835e53db8f4940a8b02f06b505f4347027c23171ce6e4cad512b002a0154459c952305f922b8f881b3c0b51ca7b9553d16a78e668deadfe3 polkit-kde-agent-1-5.18.4.1.tar.xz"
diff --git a/community/powerdevil/APKBUILD b/community/powerdevil/APKBUILD
index f7d95d3a2a..24c1482e0d 100644
--- a/community/powerdevil/APKBUILD
+++ b/community/powerdevil/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=powerdevil
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Manages the power consumption settings of a Plasma Shell"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -10,8 +11,9 @@ license="GPL-2.0-or-later AND LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-o
depends="upower"
depends_dev="qt5-qtbase-dev qt5-qtx11extras-dev kactivities-dev kauth-dev kidletime-dev kconfig-dev kdbusaddons-dev solid-dev ki18n-dev kglobalaccel-dev kio-dev knotifyconfig-dev kwayland-dev kcrash-dev knotifications-dev libkscreen-dev plasma-workspace-dev bluez-qt-dev networkmanager-qt-dev eudev-dev"
makedepends="$depends_dev extra-cmake-modules kdoctools-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/powerdevil-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/powerdevil-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-libs $pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -30,4 +32,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="5a1731ca06acec967c8db5b9a41ac444d8ef4a26b1a9d56defe5c5c2a0d2a49563baa7d7584b96503625ff0fd4e21ea80d35167bec1118e6dc1cbef56e654be5 powerdevil-5.18.3.tar.xz"
+sha512sums="b7985f30965cc445cd4426ca9978a721174a3b0c371d69e044cb36edee080a99b3993ad553461e9212158f13a730210a687be2bc1f205722591307cbe87f4c20 powerdevil-5.18.4.1.tar.xz"
diff --git a/community/sddm-kcm/APKBUILD b/community/sddm-kcm/APKBUILD
index 89a435bf59..e09b5b85d7 100644
--- a/community/sddm-kcm/APKBUILD
+++ b/community/sddm-kcm/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=sddm-kcm
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Config module for SDDM"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -9,8 +10,9 @@ url="https://www.kde.org"
license="GPL-2.0-or-later AND (GPL-2.0-only OR GPL-3.0-only) AND LGPL-2.1-or-later AND GPL-2.0-only"
depends="sddm systemsettings"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev qt5-qtdeclarative-dev kcoreaddons-dev ki18n-dev kxmlgui-dev kauth-dev kconfigwidgets-dev kio-dev karchive-dev knewstuff-dev xcb-util-image-dev libxcursor-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/sddm-kcm-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/sddm-kcm-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -28,4 +30,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="136aa673463fa9621c026af240115d5a6ddb7826f107e7c138f9549eee98b08576333ff09ea7573bb5ce1d9d8cf8a8b582fe8d627e08a0ee9943bf7badee0233 sddm-kcm-5.18.3.tar.xz"
+sha512sums="6500b3a721e4f8798fe1e79647beac11ae6d22bb5df1f5c35d815956535e74aadc9c4ffaee72afd99c2f5ea7acefca040185fe1fc106f3e0a7d62f862c8cfdf0 sddm-kcm-5.18.4.1.tar.xz"
diff --git a/community/systemsettings/APKBUILD b/community/systemsettings/APKBUILD
index 1a8c5d15c7..a4b2505f60 100644
--- a/community/systemsettings/APKBUILD
+++ b/community/systemsettings/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=systemsettings
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="Plasma system manager for hardware, software, and workspaces"
arch="all !armhf" # armhf blocked by qt5-qtdeclarative
@@ -10,8 +11,9 @@ license="GPL-2.0-or-later"
depends="kirigami2"
depends_dev="qt5-qtbase-dev qt5-qtdeclarative-dev kcrash-dev kitemviews-dev kcmutils-dev ki18n-dev kio-dev kservice-dev kiconthemes-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kdbusaddons-dev kconfig-dev kdoctools-dev kpackage-dev kdeclarative-dev kactivities-dev kactivities-stats-dev kirigami2-dev plasma-workspace-dev khtml-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/plasma/$pkgver/systemsettings-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/systemsettings-$_pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -29,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="f3feba2785c7766a48521ee721ac01e51eb8a9de9d3cde484576c6d89c7154eb9f96ca60b2483932e81dba3e24d06c30f82601e1ff702ade6dee9dd9e6f04921 systemsettings-5.18.3.tar.xz"
+sha512sums="07e3658affdf4b65967722a92906a3a017b9217ee7443e57e07d9a7a22753fdbd27840e10dfc3716bf193c155ca2fc0d916fb6320852a352b0d0dcfc07be6ae2 systemsettings-5.18.4.1.tar.xz"
diff --git a/community/user-manager/APKBUILD b/community/user-manager/APKBUILD
index 9ffce6a840..46197e7176 100644
--- a/community/user-manager/APKBUILD
+++ b/community/user-manager/APKBUILD
@@ -1,15 +1,17 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=user-manager
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="A simple system settings module to manage the users of your system"
arch="all !armhf" # armhf blocked by extra-cmake-modules
url='https://www.kde.org/workspaces/plasmadesktop/'
license="GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kwidgetsaddons-dev kcoreaddons-dev ki18n-dev kconfig-dev kconfigwidgets-dev kcmutils-dev kio-dev kiconthemes-dev kauth-dev libpwquality-dev"
-source="https://download.kde.org/stable/plasma/$pkgver/user-manager-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/user-manager-$_pkgver.tar.xz"
subpackages="$pkgname-lang"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -27,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="58f816767c8c2802a7da4d95d9a06103bface3b2b28846e19c7967a8b1f941deba0de1476c24d4951d1fa77ea13caa4c9ece9a4a4777c108bedb10390bdbaad7 user-manager-5.18.3.tar.xz"
+sha512sums="fc05602587bfcd8df80bd7bd96de8160e60389aa9e829ad4666706ca5a61ae4f9e282de4fdc42f5245e51ae2ed877053379c6047f7cab7590c56cb02bcde836d user-manager-5.18.4.1.tar.xz"
diff --git a/community/xdg-desktop-portal-kde/APKBUILD b/community/xdg-desktop-portal-kde/APKBUILD
index 126f6c7a9e..842179fe0f 100644
--- a/community/xdg-desktop-portal-kde/APKBUILD
+++ b/community/xdg-desktop-portal-kde/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Rasmus Thomsen <oss@cogitri.dev>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=xdg-desktop-portal-kde
-pkgver=5.18.3
+pkgver=5.18.4
+_pkgver=5.18.4.1
pkgrel=0
pkgdesc="A backend implementation for xdg-desktop-portal that is using Qt/KDE"
arch="all !armhf" # armhf blocked by extra-cmake-modules
@@ -11,7 +12,8 @@ makedepends="extra-cmake-modules qt5-qtbase-dev glib-dev kio-dev kwayland-dev
kdeclarative-dev kirigami2-dev kcoreaddons-dev plasma-framework-dev
libepoxy-dev pipewire-dev kcoreaddons xdg-desktop-portal cups-dev"
subpackages="$pkgname-lang"
-source="https://download.kde.org/stable/plasma/$pkgver/xdg-desktop-portal-kde-$pkgver.tar.xz"
+source="https://download.kde.org/stable/plasma/$pkgver/xdg-desktop-portal-kde-$_pkgver.tar.xz"
+builddir="$srcdir/$pkgname-$_pkgver"
build() {
cmake -B build \
@@ -25,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make -C build install
}
-sha512sums="96c12cc9e5ee8787b11e45af7b14633ef119d8076bcf425849d707cee2be49b0cde3166538f4f8c8e01f6d57118282fedc55c81c60827474f8d5867d91a3bccf xdg-desktop-portal-kde-5.18.3.tar.xz"
+sha512sums="c2dd09780211dbfd7aa2d2af7de97aef317aad916db690b6658380b7d576aeb01f35477f976548690a3713568cdf1cafc985277a7921bfa586d5810125be8963 xdg-desktop-portal-kde-5.18.4.1.tar.xz"